Resource Center/Hardware/Backup Storage Operations
PUTBackup Storage OperationsSince 0.6SynchronousAuth Required
ReconnectBackupStorage
ReconnectBackupStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/backup-storage/{uuid}/actions
/zstack/v1/backup-storage/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/backup-storage/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:21 PM", "lastOpDate": "Jun 7, 2017 9:20:21 PM", "attachedZoneUuids": [ "410e621653de4bab8fd44f81e74b9225" ] } }Change History
This API has no change history records yet.
